%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gscribble
Version:        0.1.2
Release:        16%{?dist}
Summary:        A desktop client for blogging which supports wordpress and blogger

Group:          Applications/Internet
License:        GPLv2+
URL:            https://sourceforge.net/projects/gscribble
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# This patch is licensed GPLv2+.
Patch0:		gscribble-0.1.2-webkit.patch

BuildArch:      noarch
BuildRequires:  python2-devel, desktop-file-utils
Requires:       pygtk2, gnome-python2-gtkspell, pywebkitgtk, python2-gdata >= 2.0.9

%description
A desktop client for blogging for wordpress and blogger

%prep
%setup -q
%patch0 -p1 -b .webkit
sed -i 's|^#!/usr/bin/env python|#!/usr/bin/python|' gscribble
# propagate %%{_pkgdocdir} into setup.py
sed -i 's|/usr/share/doc/gscribble-0.1.2|%{_pkgdocdir}|' setup.py

%build
%py2_build

%install
%py2_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/gscribble.desktop

%files
%{_pkgdocdir}
%{python2_sitelib}/libgscribble/
%{python2_sitelib}/gscribble-*egg-info
%{_bindir}/gscribble
%{_datadir}/gscribble/
%{_datadir}/applications/gscribble.desktop
%{_datadir}/pixmaps/gscribble.png

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.2-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 22 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.1.2-9
- Let setup.py honor %%_pkgdocdir (Fix FTBFS).
- Fix bogus %%changelog entry dates.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 26 2012 Tom Callaway <spot@fedoraproject.org> - 0.1.2-3
- use pywebkitgtk

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Feb 20 2010 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.1.2-1
- New release with blogger support

* Fri Feb 19 2010 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.1.1-1
- New release with better editor and spell checker

* Sat Oct 31 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.2.1-1
- New Release of gscribble with fixed version problem

* Thu Sep 17 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.2-1
- New Release of gscribble with proxy support 

* Tue Jul 7 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.1-1
- Removed rpmlinit errors and fixed ownership issues

* Tue Jul 7 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.1-alpha
- First rpm of gscribble
